#---------------------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
#---------------------------------------------------------------------------------------------

# pip functionality has been disabled in this Debian package
# FIXME: irl needs to find time to rewrite this to use dpkg

from azure.cli.core._util import CLIError

class UpdateCheckError(CLIError):
    '''Raised when there is an error attempting to check for update(s)
    '''
    pass

def _check_for_update(pkg_name, private=False):
    return {
        'current_version': "0",
        'latest_version': "0",
        'update_available': False,
    }

def check_for_cli_update(private=False):
    return _check_for_update(pkg_name='azure-cli', private=private)

def check_for_component_update(component_name, private=False):
    return _check_for_update(pkg_name='azure-cli-'+component_name, private=private)
